List S.M.A.R.T. self-test schedules
GET
/disk/smart/self-test/schedules
const url = 'https://sylve.lan:8181/api/disk/smart/self-test/schedules';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/disk/smart/self-test/schedules \ --header 'Authorization: <Authorization>'List all configured S.M.A.R.T. self-test schedules
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
cronExpr
string
device
string
diskKey
string
enabled
boolean
estimatedMinutes
integer
id
integer
lastError
string
lastRunAt
string
lastStatus
string
model
string
nextRunAt
string
progressKnown
boolean
progressPct
integer
queuedAt
string
serial
string
testType
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "cronExpr": "example", "device": "example", "diskKey": "example", "enabled": true, "estimatedMinutes": 1, "id": 1, "lastError": "example", "lastRunAt": "example", "lastStatus": "example", "model": "example", "nextRunAt": "example", "progressKnown": true, "progressPct": 1, "queuedAt": "example", "serial": "example", "testType": "example" } ], "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}